pub struct GameLog {
    pub entries: Vec<String>,
}

impl GameLog {
    pub fn new<S: ToString>(first_entry: S) -> Self {
        GameLog {
            entries: vec![first_entry.to_string()],
        }
    }

    pub fn append<S: ToString>(&mut self, s: S) {
        self.entries.push(s.to_string());
    }
}
